# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Evolutionary/Utils.pm) perl(ExtUtils/MakeMaker.pm) perl(Math/Random.pm) perl(String/Random.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(YAML.pm) perl(constant.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 3.102
%define module_name Algorithm-Evolutionary-Fitness
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.102
Release: alt1
Summary: Base class for fitness functions
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMERELO/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
This module includes functionality that should be common to all fitness functions. Or at least it
would be nice to have it in common. It counts the number of evaluations and includes a common API for caching evaluations.
%prep
%setup -q -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO.md README.md LICENSE
%perl_vendor_privlib/A*

%changelog
* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 3.102-alt1
- initial import by package builder

